Subject: Re: size overflow in function qdisc_tree_decrease_qlen net/sched/sch_api.c

From: Daniele Fucini <[email-masked]>
Date: Tue, 1 Dec 2015 12:19:43 +0100

Thanks for the reply. Here's the output of `tc qdisc show`:
https://gist.github.com/1847102c8fe08f63e9e7

Daniele

On Mon, Nov 30, 2015 at 08:50:29PM -0800, Cong Wang wrote:
> On Mon, Nov 30, 2015 at 5:00 PM, Daniele Fucini <[email-masked]> wrote:
> > Hello,
> >
> > I'm using a Grsecurity patched kernel (version 4.2.6-201511282239) and
> > I'm getting system freezes due to PaX detecting a size overflow in
> > function qdisc_tree_decrease_qlen net/sched/sch_api.c:769 whenever I use
> > Transmission BitTorrent client.
> >
> > On the Grsecurity forum I was told it's probably an unintended integer
> > underflow that I should report upstream.
> >
> > Here's the relevant log:
> > https://gist.github.com/cf54ccbb12ea65e146d4
> >
> 
> Looks like we miss some sch->q.qlen accounting somewhere...
> 
> What is your qdisc setup? Is your fq_codel the default one or you installed it
> or some other qdisc somewhere (`tc qdisc show` could tell)?
> 
> I will take a deeper look tomorrow, or maybe Jamal could find something
> before I wake up. ;)